Subject: Re: bug#23085: 24.5; `customized-changed-options`

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 07 Feb 2021 20:47:45 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Sun, 07 Feb 2021 15:07:54 +0100
>> Cc: [email-masked]
>> 
>>     (customize-changed-options-previous-release): Prev release is 21.1.
>>     (customize-changed-options): Doc fix.
>>     (customize-changed): New alias.
>> 
>> And the doc string for customize-changed-options was changed to reflect
>> what it does, i.e., what you'd expect `customize-changed' to do.
>> 
>> This is kinda backwards, so I've now flipped this, and made
>> `customize-changed-options' an obsolete alias.
>
> I'm not sure this change is for the better: no one said that "options"
> should be interpreted narrowly as referring only to variables; and
> "customize-changed" is simply bad English and doesn't help
> understanding what it is about.  So I think Richard was right with
> that change.

I agree, but mostly just wanted to say that if customize-changed-options
is renamed, then its occurrences in code, docstrings, and the manual
should be updated, and the rename should probably be called out in NEWS.

Thanks,

-- 
Basil